=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                gettext,
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6crash-dev (>= 6.16.0~),
-               libkf6dbusaddons-dev (>= 6.16.0~),
-               libkf6filemetadata-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6idletime-dev (>= 6.16.0~),
-               libkf6kio-dev (>= 6.16.0~),
-               libkf6solid-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6crash-dev (>= 6.17.0~),
+               libkf6dbusaddons-dev (>= 6.17.0~),
+               libkf6filemetadata-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6idletime-dev (>= 6.17.0~),
+               libkf6kio-dev (>= 6.17.0~),
+               libkf6solid-dev (>= 6.17.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
@@ -54,15 +54,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.16.0~),
-         libkf6coreaddons-dev (>= 6.16.0~),
-         libkf6crash-dev (>= 6.16.0~),
-         libkf6dbusaddons-dev (>= 6.16.0~),
-         libkf6filemetadata-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
-         libkf6idletime-dev (>= 6.16.0~),
-         libkf6kio-dev (>= 6.16.0~),
-         libkf6solid-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.17.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
+         libkf6crash-dev (>= 6.17.0~),
+         libkf6dbusaddons-dev (>= 6.17.0~),
+         libkf6filemetadata-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
+         libkf6idletime-dev (>= 6.17.0~),
+         libkf6kio-dev (>= 6.17.0~),
+         libkf6solid-dev (>= 6.17.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
