## kf6-baloo 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.7.0)
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF_VERSION})
@@ -79,7 +79,7 @@
 # compiler flags and build system
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 find_package(Inotify)
