=== autotests/unit/CMakeLists.txt ===
add_subdirectory(codecs)
add_subdirectory(engine)
add_subdirectory(file)
add_subdirectory(lib)
