=== debian/changelog ===
kf6-baloo (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Allow tests to fail.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 22:41:26 +0200
