## kf6-baloo 6.19.0+p24.04+vstable+git20251019.0216

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vstable+git20251019.0216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:16:02 +0000

kf6-baloo (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:43:56 +0000
