## kf6-baloo 6.19.0+p24.04+vstable+git20251020.0101

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
-set(REQUIRED_QT_VERSION 6.7.0)
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(REQUIRED_QT_VERSION 6.8.0)
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 
 # set up project
