=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vstable+git20251020.0101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:01:38 +0000
