=== debian/control ===
Source: kf6-baloo
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-solid-dev,
               liblmdb-dev,
               libxapian-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-baloo.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-baloo
Maintainer: Neon CI <neon@kde.org>

Package: kf6-baloo
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.115.0-1)
Replaces: baloo-kf5 (<< 5.115.0-1),
          baloo-kf6,
          libkf6baloo-doc,
          libkf6baloo6,
          libkf6balooengine6
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: kf6-baloo-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-baloo (= ${binary:Version}),
         kf6-kcoreaddons-dev,
         kf6-kfilemetadata-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: baloo-kf6-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: baloo-kf6
Architecture: all
Depends: kf6-baloo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6baloo-doc
Architecture: all
Depends: kf6-baloo-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6baloo6
Architecture: all
Depends: kf6-baloo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6balooengine6
Architecture: all
Depends: kf6-baloo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: baloo-kf6-dev
Architecture: all
Depends: kf6-baloo-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
