## kf6-baloo 6.19.0+p24.04+vstable+git20251021.0837

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vstable+git20251021.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:37:53 +0000
