## kf6-baloo 6.19.0+p24.04+vunstable+git20251020.0040

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vunstable+git20251020.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:40:36 +0000
