## kf6-baloo 6.19.0+p24.04+vunstable+git20251021.0505

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vunstable+git20251021.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:05:23 +0000
